## glibc-doc-reference 2.41

=== manual/Makefile ===
# Copyright (C) 1992-2025 Free Software Foundation, Inc.
# This file is part of the GNU C Library.

# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# The GNU C Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with the GNU C Library; if not, see
# <https://www.gnu.org/licenses/>.

# Makefile for the GNU C Library manual.

subdir := manual

include ../Makeconfig

.PHONY: dvi pdf info html

dvi: $(objpfx)libc.dvi
pdf: $(objpfx)libc.pdf

TEXI2DVI = texi2dvi
TEXI2PDF = texi2dvi --pdf

ifneq ($(strip $(MAKEINFO)),:)
info: $(objpfx)libc.info
endif

chapters = $(addsuffix .texi, \
		       intro errno memory ctype string charset locale	\
		       message search pattern io stdio llio filesys	\
		       pipe socket terminal syslog math arith stdbit time \
		       resource setjmp signal startup process ipc job	\
		       nss users sysinfo conf crypt debug threads	\
		       dynlink probes tunables)
appendices = lang.texi header.texi install.texi maint.texi platform.texi \
	     contrib.texi
licenses = freemanuals.texi lgpl-2.1.texi fdl-1.3.texi

-include $(objpfx)texis
$(objpfx)texis: texis.awk $(chapters) $(appendices) $(licenses)
	$(make-target-directory)
	$(AWK) -f $^ > $@.T
	mv -f $@.T $@

nonexamples = $(filter-out %.c.texi, $(texis))
examples = $(filter %.c.texi, $(texis))

# Generated files directly included from libc.texinfo.
libc-texi-generated = chapters.texi top-menu.texi dir-add.texi \
		      libm-err.texi version.texi pkgvers.texi

# Add path to build dir for generated files
texis-path := $(filter-out $(libc-texi-generated) summary.texi $(examples), \
				$(texis)) 				    \
	 $(addprefix $(objpfx),$(filter $(libc-texi-generated) summary.texi \
					$(examples), $(texis)))

# Kludge: implicit rule so Make knows the one command does it all.
chapters.% top-menu.%: libc-texinfo.sh $(texis-path) Makefile
	AWK=$(AWK) $(SHELL) $< $(objpfx) \
				'$(chapters)' \
			       '$(appendices) $(licenses)'

# Verify validity of texinfo sources against project rules.
tests-special += \
  $(objpfx)check-deftype.out \
  $(objpfx)check-safety.out \
  # tests-special

$(objpfx)libc.dvi $(objpfx)libc.pdf $(objpfx)libc.info: \
	$(addprefix $(objpfx),$(libc-texi-generated))
$(objpfx)libc.dvi $(objpfx)libc.pdf: texinfo.tex

html: $(objpfx)libc/index.html
$(objpfx)libc/index.html: $(addprefix $(objpfx),$(libc-texi-generated))
	$(MAKEINFO) -P $(objpfx) -o $(objpfx)libc --html libc.texinfo

# Generate the summary from the Texinfo source files for each chapter.
$(objpfx)summary.texi: $(objpfx)stamp-summary ;
$(objpfx)stamp-summary: summary.pl $(filter-out $(objpfx)summary.texi, \
					$(texis-path))
	$(SHELL) ./check-safety.sh $(filter-out $(objpfx)%, $(texis-path))
	$(SHELL) ./check-deftype.sh $(filter-out $(objpfx)%, $(texis-path))
	LC_ALL=C $(PERL) $^ > $(objpfx)summary-tmp
	$(move-if-change) $(objpfx)summary-tmp $(objpfx)summary.texi
	touch $@

$(objpfx)check-safety.out: check-safety.sh
	$(SHELL) $< > $@ ; \
	$(evaluate-test)

$(objpfx)check-deftype.out: check-deftype.sh
	$(SHELL) $< > $@ ; \
	$(evaluate-test)

# Generate a file which can be added to the `dir' content to provide direct
# access to the documentation of the function, variables, and other
# definitions.
$(objpfx)dir-add.texi: xtract-typefun.awk $(texis-path)
	(echo "@dircategory GNU C library functions and macros";	\
	 echo "@direntry";						\
	 $(AWK) -f $^ | sort;						\
	 echo "@end direntry") > $@.new
	mv -f $@.new $@

# The table with the math errors is generated.
$(objpfx)libm-err.texi: $(objpfx)stamp-libm-err
$(objpfx)stamp-libm-err: $(..)math/gen-libm-test.py \
			 $(wildcard $(foreach dir,$(sysdirs),\
						  $(dir)/libm-test-ulps))
	pwd=`pwd`; \
	$(PYTHON) $< -s $$pwd/.. -m $(objpfx)libm-err-tmp
	$(move-if-change) $(objpfx)libm-err-tmp $(objpfx)libm-err.texi
	touch $@

# Package version and bug reporting URL.
$(objpfx)pkgvers.texi: $(objpfx)stamp-pkgvers ;
$(objpfx)stamp-pkgvers: $(common-objpfx)config.make
	echo "@ifclear PKGVERS" > $(objpfx)pkgvers-tmp
	echo "@set PKGVERS" >> $(objpfx)pkgvers-tmp
	echo "@set PKGVERSION $(PKGVERSION_TEXI)" >> $(objpfx)pkgvers-tmp
	if [ "$(PKGVERSION_TEXI)" = "(GNU libc) " ]; then \
	  echo "@set PKGVERSION_DEFAULT" >> $(objpfx)pkgvers-tmp; \
	fi
	echo "@set REPORT_BUGS_TO $(REPORT_BUGS_TEXI)" >> $(objpfx)pkgvers-tmp
	echo "@set man_pages_version $(man-pages-version)" >> $(objpfx)pkgvers-tmp; \
	echo "@end ifclear" >> $(objpfx)pkgvers-tmp
	$(move-if-change) $(objpfx)pkgvers-tmp $(objpfx)pkgvers.texi
	touch $@

# Generate a file with the version number.
$(objpfx)version.texi: $(objpfx)stamp-version ;
$(objpfx)stamp-version: $(common-objpfx)config.make
	echo "@set VERSION $(version)" > $(objpfx)version-tmp
	$(move-if-change) $(objpfx)version-tmp $(objpfx)version.texi
	touch $@

# Generate Texinfo files from the C source for the example programs.
$(objpfx)%.c.texi: examples/%.c
	sed -e '1,/^\*\/$$/d'				\
	    -e 's,[{}],@&,g'				\
	    -e 's,/\*\(@.*\)\*/,\1,g'			\
	    -e 's,/\*  *,/* @r{,g' -e 's,  *\*/,} */,'	\
	    -e 's/\(@[a-z][a-z]*\)@{\([^}]*\)@}/\1{\2}/g'\
	    $< | expand > $@.new
	mv -f $@.new $@

$(objpfx)%.info: %.texinfo
	LANGUAGE=C LC_ALL=C $(MAKEINFO) -P $(objpfx) --output=$@ $<

$(objpfx)%.dvi: %.texinfo
	cd $(objpfx);$(TEXI2DVI) -I $(shell cd $(<D) && pwd) --output=$@ \
				$(shell cd $(<D) && pwd)/$<

$(objpfx)%.pdf: %.texinfo
	cd $(objpfx);$(TEXI2PDF) -I $(shell cd $(<D) && pwd) --output=$@ \
				$(shell cd $(<D) && pwd)/$<


# Distribution.
minimal-dist = \
  $(filter-out summary.texi, $(nonexamples)) \
  $(patsubst %.c.texi,examples/%.c, $(examples)) \
  check-deftype.sh \
  check-safety.sh \
  libc-texinfo.sh \
  libc.texinfo \
  libm-err.texi \
  stamp-libm-err \
  summary.pl \
  texis.awk \
  tsort.awk \
  # minimal-dist

indices = cp fn pg tp vr ky
generated-dirs += libc
generated += libc.dvi libc.pdf libc.tmp libc.info*			      \
	     stubs							      \
	     texis summary.texi stamp-summary *.c.texi			      \
	     $(foreach index,$(indices),libc.$(index) libc.$(index)s)	      \
	     libc.log libc.aux libc.toc					      \
	     $(libc-texi-generated)					      \
	     stamp-libm-err stamp-version

include ../Rules

.PHONY: install subdir_install install-data
install-data subdir_install: install
# Generated files requiring python: libm-err.texi
# Generated files requiring perl: summary.texi
ifneq ($(PERL),no)
ifneq ($(strip $(MAKEINFO)),:)
install: $(inst_infodir)/libc.info
	@if $(SHELL) -c '$(INSTALL_INFO) --version' >/dev/null 2>&1; then \
	 test -f $(inst_infodir)/dir || $(INSTALL_DATA) dir $(inst_infodir);\
	 $(INSTALL_INFO) --info-dir=$(inst_infodir) $(inst_infodir)/libc.info;\
	else : ; fi
endif
endif
# Catchall implicit rule for other installation targets from the parent.
install-%: ;

$(inst_infodir)/libc.info: $(objpfx)libc.info
	$(make-target-directory)
	for file in $<*; do \
	  $(INSTALL_DATA) $$file $(@D)/; \
	done

TAGS: $(minimal-dist)
	$(ETAGS) -o $@ $^

## glibc-doc-reference 2.27

=== debian/changelog ===
glibc-doc-reference (2.27-1) unstable; urgency=medium

  * New upstream version:
    - debian/patches/03-SC_SSIZE_MAX.diff: upstreamed.
    - debian/patches/04-finite.diff: upstreamed.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Mar 2018 14:01:13 +0100

glibc-doc-reference (2.26-2) unstable; urgency=medium

  * debian/control: Update Vcs-Git and Vcs-Browser fields following the move
    to Salsa.
  * debian/rules: do a local bare clone before using git archive as it doesn't
    support https.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Feb 2018 15:32:29 +0100

glibc-doc-reference (2.26-1) unstable; urgency=medium

  * New upstream version:
    - Refresh 03-SC_SSIZE_MAX.diff and 04-finite.diff.
  * Build-depends on texlive-binaries instead of texlive-base-bin.
  * debian/rules: prefer https links.
  * Update to standards-version 4.1.3.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 07 Jan 2018 23:03:11 +0100

glibc-doc-reference (2.25-3) unstable; urgency=medium

  * debian/copyright: refer to /usr/share/common-licenses instead of
    including the full GFDL license.
  * debian/patches/03-SC_SSIZE_MAX.diff: add missing underscore in front
    of SC_SSIZE_MAX (closes: #756858).
  * debian/patches/04-finite.diff: fix description of finite (closes:
    #593532).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Dec 2017 14:19:56 +0100

glibc-doc-reference (2.25-2) unstable; urgency=medium

  * Add XS-Autobuild: yes to debian/control.
  * Update debian/copyright with the GFDL 1.3.
  * Resurrect accidentally-dropped patch to prevent the indexing of
    every libc function in the main info directory (closes: #536506).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Dec 2017 13:09:23 +0100

glibc-doc-reference (2.25-1) unstable; urgency=medium

  * New upstream version (closes: #864470):
    - Fixes description of LC_ALL local category (closes: #151101).
    - Fixes zoneinfo path in the TZ variable node (closes: #293043).
  * Switch to 3.0 (quilt) format.
  * Add a get-orig-source target.
  * Instead of patching the upstream Makefile, provide minimal Makeconfig,
    Rules and config.make.
  * Switch to dh with compat 10.
  * Update to standards-version 4.1.2.
  * Remove Jeff Bailey from uploaders (closes: #835616).
  * Remove GOTO Masanori from uploaders (closes: #839678).
  * Remove Daniel Jacobowitz from uploaders (closes: #869306).
  * Drop ancient conflicts.
  * Add Suggests: info-browser, pdf-viewer, www-browser (closes: #823645).
  * Add Vcs-Browser and Vcs-Git fields.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Dec 2017 20:33:30 +0100

glibc-doc-reference (2.19-1) unstable; urgency=medium

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 04 Jun 2014 23:32:25 +0200

glibc-doc-reference (2.19-0experimental1) experimental; urgency=medium

  * New upstream release, based on glibc 2.18 and my 2.16 fixes.
  * Update to standards-version 3.9.5, with no required changes.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 19 Feb 2014 21:57:27 -0700

glibc-doc-reference (2.18-0experimental1) experimental; urgency=low

  * New upstream release, based on the 2.18 manual and my 2.16 fixes.
  * Tidy up debian/control: drop obsolete texi2html build-dep, and
    duplicate section and priority entries in binary control fields.
  * Explicitly document source format 1.0 in debian/source/format.
  * Cargo-cult the debian/watch file from the eglibc source package.

 -- Adam Conrad <adconrad@0c3.net>  Mon, 09 Dec 2013 22:29:07 -0700

glibc-doc-reference (2.17-2) unstable; urgency=low

  * Resurrect accidentally-dropped patch to prevent the indexing of
    every libc function in the main info directory (closes: #536506)

 -- Adam Conrad <adconrad@0c3.net>  Thu, 11 Jul 2013 09:11:03 -0600

glibc-doc-reference (2.17-1) unstable; urgency=low

  * Upload build to unstable to match the new eglibc 2.17 upload.
  * Update to standards-version 3.9.4, with no required changes.

 -- Adam Conrad <adconrad@0c3.net>  Mon, 13 May 2013 14:01:39 -0600

glibc-doc-reference (2.17-0experimental1) experimental; urgency=low

  * New upstream release, based on the 2.17 manual and my 2.16 fixes.
  * Add build-{arch,indep} rules and bump to standards-version 3.9.3.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 26 Dec 2012 13:16:38 -0700

glibc-doc-reference (2.16-0experimental1) experimental; urgency=low

  * New upstream version:
    - Revert to Makefile and libc-texinfo.sh from 2.13 (with some
      tweaks), as the 2.16 versions are rather sad out-of-tree.
    - Create a version.texi with the upstream version, as this
      would normally be generated by the glibc build when in-tree.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 26 Oct 2012 14:03:26 +0100

glibc-doc-reference (2.13-1) unstable; urgency=low

  * New upstream version:
    - Fix rpmatch() example wrt getline() usage (closes: #367849).
  * Bump Standards-Version to 3.9.2.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 May 2011 19:39:48 +0200

glibc-doc-reference (2.11.1-2) unstable; urgency=low

  * Build depends on texlive-latex-base (closes: #611411). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Jan 2011 19:32:10 +0100

glibc-doc-reference (2.11.1-1) unstable; urgency=low

  * New usptream version. 
  * Bump Standards-Version to 3.8.4.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 08 Jun 2010 16:53:14 +0200

glibc-doc-reference (2.10.1-1) unstable; urgency=low

  * New upstream version. 
  * Bump Standards-Version to 3.8.3.
  * Rebuild against recent debhelper (closes: bug#550897).
  * Remove Ben Collins <bcollins@debian.org> from the uploaders (Closes:
    bug#540903).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Oct 2009 20:24:25 +0000

glibc-doc-reference (2.9-2) unstable; urgency=low

  * Add patch from Sven Joachim to prevent indexing every libc
    function  (closes: bug#536506).
  * Bump Standards-Version to 3.8.2.
  * Switch to debhelper 5.0. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 11 Jul 2009 13:04:34 +0200



=== debian/control ===
Source: glibc-doc-reference
Section: non-free/doc
Priority: optional
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: texinfo, gawk, texlive-binaries, texlive-latex-base
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
XS-Autobuild: yes

Package: glibc-doc-reference
Architecture: all
Depends: ${misc:Depends}
Description: GNU C Library: Documentation
 Contains The GNU C Library Reference manual in info, pdf and html format.

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION = $(shell dpkg-parsechangelog | awk '/^Version/ {print $$2}')
UPSTREAM_VERSION = $(shell echo $(DEB_VERSION) | sed 's/-.*//')
GLIBC_GIT = https://sourceware.org/git/glibc.git
GLIBC_TAG = glibc-$(UPSTREAM_VERSION)
GLIBC_CHECKOUT = glibc-checkout
DEB_DIR = glibc-doc-reference-$(UPSTREAM_VERSION)
DEB_ORIG = ../glibc-doc-reference_$(UPSTREAM_VERSION).orig.tar.xz

%:
	dh $@

override_dh_auto_build-indep:
	mkdir -p $(CURDIR)/build
	echo "MAKEINFO = makeinfo"                                           >  $(CURDIR)/build/config.make
	echo "AWK = gawk"                                                    >> $(CURDIR)/build/config.make
	echo "PERL = perl"                                                   >> $(CURDIR)/build/config.make
	echo "PKGVERSION_TEXI = (Debian glibc-doc-reference $(DEB_VERSION))" >> $(CURDIR)/build/config.make
	echo "REPORT_BUGS_TEXI = @uref{https://www.debian.org/Bugs/}"        >> $(CURDIR)/build/config.make
	$(MAKE) -C manual objdir=$(CURDIR)/build info html pdf

override_dh_auto_clean:
	rm -fr $(CURDIR)/build
	dh_auto_clean

get-orig-source: $(DEB_ORIG)
$(DEB_ORIG):
	dh_testdir
	git clone --bare $(GLIBC_GIT) $(GLIBC_CHECKOUT)
	mkdir -p $(DEB_DIR)
	(cd $(GLIBC_CHECKOUT) && git archive -v --format=tar $(GLIBC_TAG)) | tar -C $(DEB_DIR) -xf -
	tar --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner -Jcf $(DEB_ORIG) \
		$(DEB_DIR)/manual \
		$(DEB_DIR)/scripts/mkinstalldirs \
		$(DEB_DIR)/scripts/move-if-change \
		`find $(DEB_DIR) -name "libm-test-ulps*"`
	rm -rf $(DEB_DIR) $(GLIBC_CHECKOUT)

## glibc-doc-reference 2.28

=== debian/changelog ===
glibc-doc-reference (2.28-1) unstable; urgency=medium

  * New upstream version.
  * Set Rules-Requires-Root: no.
  * Update to standards-version 4.2.1.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Dec 2018 20:43:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends-Indep: texinfo, gawk, texlive-binaries, texlive-latex-base
 Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes
+Rules-Requires-Root: no
 
 Package: glibc-doc-reference
 Architecture: all

## glibc-doc-reference 2.29

=== debian/changelog ===
glibc-doc-reference (2.29-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Aug 2019 21:10:43 -0700

glibc-doc-reference (2.29-1) unstable; urgency=medium

  * New upstream version:
    - Add math/gen-libm-test.py to the orig tarball.
    - Add a build-depends on python3.
    - Define python in build/config.make.
  * Update to standards-version 4.4.0 (no changes).
  * Switch to dh with compat 12.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 16 Aug 2019 22:25:54 +0200

glibc-doc-reference (2.28-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Revert "Revert: Remove inappropriate joke".

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 15:17:52 -0700

glibc-doc-reference (2.27-1ubuntu1) disco; urgency=medium

  * Revert "Revert: Remove inappropriate joke".

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 Nov 2018 17:11:54 +0000

=== debian/control ===
Source: glibc-doc-reference
Section: non-free/doc
Priority: optional
Build-Depends: debhelper (>= 12)
Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
XS-Autobuild: yes
Rules-Requires-Root: no

Package: glibc-doc-reference
Architecture: all
Depends: ${misc:Depends}
Description: GNU C Library: Documentation
 Contains The GNU C Library Reference manual in info, pdf and html format.

## glibc-doc-reference 2.30

=== debian/changelog ===
glibc-doc-reference (2.30-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Revert "Revert: Remove inappropriate joke".

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 12:42:43 -0800

glibc-doc-reference (2.30-1) unstable; urgency=medium

  * New upstream version.
  * Use the declarative form of debhelper compat 12.
  * Update to standards-version 4.5.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 08 Feb 2020 13:32:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: glibc-doc-reference
 Section: non-free/doc
 Priority: optional
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes

## glibc-doc-reference 2.31

=== debian/changelog ===
glibc-doc-reference (2.31-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 03 Jun 2020 23:30:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
+Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>, Adam Conrad <adconrad@0c3.net>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	echo "MAKEINFO = makeinfo"                                           >  $(CURDIR)/build/config.make
 	echo "AWK = gawk"                                                    >> $(CURDIR)/build/config.make
 	echo "PERL = perl"                                                   >> $(CURDIR)/build/config.make
+	echo "PYTHON = python3"                                              >> $(CURDIR)/build/config.make
 	echo "PKGVERSION_TEXI = (Debian glibc-doc-reference $(DEB_VERSION))" >> $(CURDIR)/build/config.make
 	echo "REPORT_BUGS_TEXI = @uref{https://www.debian.org/Bugs/}"        >> $(CURDIR)/build/config.make
 	$(MAKE) -C manual objdir=$(CURDIR)/build info html pdf
@@ -32,6 +33,7 @@
 	(cd $(GLIBC_CHECKOUT) && git archive -v --format=tar $(GLIBC_TAG)) | tar -C $(DEB_DIR) -xf -
 	tar --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner -Jcf $(DEB_ORIG) \
 		$(DEB_DIR)/manual \
+		$(DEB_DIR)/math/gen-libm-test.py \
 		$(DEB_DIR)/scripts/mkinstalldirs \
 		$(DEB_DIR)/scripts/move-if-change \
 		`find $(DEB_DIR) -name "libm-test-ulps*"`

## glibc-doc-reference 2.33

=== debian/changelog ===
glibc-doc-reference (2.33-0ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Mar 2021 06:56:36 +0000

## glibc-doc-reference 2.35

=== debian/changelog ===
glibc-doc-reference (2.35-0ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Feb 2022 10:48:30 +1300

## glibc-doc-reference 2.36

=== debian/changelog ===
glibc-doc-reference (2.36-1) unstable; urgency=medium

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Oct 2022 14:20:46 +0200

glibc-doc-reference (2.35-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Sep 2022 23:53:44 +0200

glibc-doc-reference (2.34-1) unstable; urgency=medium

  * New upstream version.
  * Update to standards-version 4.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 03 Aug 2022 13:02:47 +0200

glibc-doc-reference (2.33-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 Dec 2021 22:11:48 +0000

glibc-doc-reference (2.32-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: remove Adam Conrad from Uploaders. RIP.  Closes: #986955.
  * Update to standards-version 4.6.0 (no changes).
  * Bump debhelper compat to 13.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2021 11:22:00 +0200

=== debian/control ===
Source: glibc-doc-reference
Section: non-free/doc
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
XS-Autobuild: yes
Rules-Requires-Root: no

Package: glibc-doc-reference
Architecture: all
Depends: ${misc:Depends}
Description: GNU C Library: Documentation
 Contains The GNU C Library Reference manual in info, pdf and html format.

## glibc-doc-reference 2.37

=== debian/changelog ===
glibc-doc-reference (2.37-1) unstable; urgency=medium

  * New upstream version.
  * Update to standards-version 4.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Jul 2023 21:15:35 +0200

## glibc-doc-reference 2.38

=== debian/changelog ===
glibc-doc-reference (2.38-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Jan 2024 16:49:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
 Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes

## glibc-doc-reference 2.40

=== debian/changelog ===
glibc-doc-reference (2.40-1) unstable; urgency=medium

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Aug 2024 20:04:37 +0200

glibc-doc-reference (2.39-1) unstable; urgency=medium

  * New upstream version.
  * Update to standards-version 4.7.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 16 Jul 2024 21:21:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
 Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes

## glibc-doc-reference 2.41

=== debian/changelog ===
glibc-doc-reference (2.41-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: use /usr/share/dpkg/pkg-info.mk instead of calling
    dpkg-parsechangelog.
  * debian/watch: update.
  * Update to standards-version 4.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 28 Feb 2025 20:05:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends-Indep: texinfo, gawk, python3, texlive-binaries, texlive-latex-base
 Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <schizo@debian.org>, Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
 
-DEB_VERSION = $(shell dpkg-parsechangelog | awk '/^Version/ {print $$2}')
-UPSTREAM_VERSION = $(shell echo $(DEB_VERSION) | sed 's/-.*//')
+include /usr/share/dpkg/pkg-info.mk
+
+DEB_VERSION_UPSTREAM = $(shell echo $(DEB_VERSION) | sed 's/-.*//')
 GLIBC_GIT = https://sourceware.org/git/glibc.git
-GLIBC_TAG = glibc-$(UPSTREAM_VERSION)
+GLIBC_TAG = glibc-$(DEB_VERSION_UPSTREAM)
 GLIBC_CHECKOUT = glibc-checkout
-DEB_DIR = glibc-doc-reference-$(UPSTREAM_VERSION)
-DEB_ORIG = ../glibc-doc-reference_$(UPSTREAM_VERSION).orig.tar.xz
+DEB_DIR = glibc-doc-reference-$(DEB_VERSION_UPSTREAM)
+DEB_ORIG = ../glibc-doc-reference_$(DEB_VERSION_UPSTREAM).orig.tar.xz
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/libc/glibc-([\d\.]+)\.tar\.gz debian uupdate

## glibc-doc-reference 2.42

=== debian/changelog ===
glibc-doc-reference (2.42-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: drop Rules-Requires-Root field, now obsolete.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Dec 2025 21:54:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Vcs-Browser: https://salsa.debian.org/glibc-team/glibc-doc-reference
 Vcs-Git: https://salsa.debian.org/glibc-team/glibc-doc-reference.git
 XS-Autobuild: yes
-Rules-Requires-Root: no
 
 Package: glibc-doc-reference
 Architecture: all
